<?php
/**
 * Файл для описания класса сообщений отображающихся в визуальной части, 
 * {@link mxl_cfg_messages}.
 * @package mxl_cfg
 * @author merlin <merlin@ersys.ru>
 * @copyright Copyright (c) 2009, ООО НПО Метарекс
 */
/**
 * Класс описания сообщений отображающизся в визуальной части
 * 
 * @package mxl_cfg
 * @author merlin <merlin@ersys.ru>
 * @copyright Copyright (c) 2009, ООО НПО Метарекс, {@link http://www.metarex.ru www.metarex.ru}
 */
class mxl_cfg_messages{
	public static $types_error;
	public static $types_validate;
	public static $types_warning;
	public static $types_message;
	public static $types_confirm;
	public static $types_attention;
	
	/**
	 * Сообщение выдается в момент ухода со страницы при наличии несохраненных
	 * строк в гридах находящихся в режиме "сохранение множества строк".
	 * Место в тексте, куда будет вставлено сообщение о имени грида и кол-ве
	 * несохраненных строк отмечается макросом #VTINS
	 */
	public static $htmlpage_beforeunload_grids_notsave__message;
	/**
	 * Текст для обозначения одной строки в сообщении, которое выдается в 
	 * момент ухода со страницы при наличии несохраненных
	 * строк в гридах находящихся в режиме "сохранение множества строк".
	 */
	public static $htmlpage_beforeunload_grids_notsave__one_row_text;
	/**
	 * Текст для обозначения множества строк в сообщении, которое выдается в 
	 * момент ухода со страницы при наличии несохраненных
	 * строк в гридах находящихся в режиме "сохранение множества строк".
	 */
	public static $htmlpage_beforeunload_grids_notsave__many_rows_text;
	
	/**
	 * Текст сообщения, выводящийся когда для обязательных к заполнению полей 
	 * не указаны значения 
	 */
	public static $dict_validator_rulescommon_required;
	
	/**
	 * Текст сообщения, выводящийся когда значения полей не принадлежат 
	 * промежутку допустимых значений
	 */
	public static $dict_validator_rulescommon_periodMember;
	
	/**
	 * Текст сообщения, выводящийся когда значения полей не соответствуют 
	 * формату e-mail
	 */
	public static $dict_validator_rulescommon_checkEMail;
	
	/**
	 * Текст сообщения, выводящийся когда не пройдена валидация логина
	 */
	public static $dict_validator_rulescommon_checkLogin;
	
	/**
	 * Текст сообщения, выводящийся когда не пройдена валидация пароля
	 */
	public static $dict_validator_rulescommon_checkPassword;
	
	/**
	 * Текст сообщения, выводящийся когда значение поля не соттветствует 
	 * регулярному выражению 
	 */
	public static $dict_validator_rulescommon_match;
	
	/**
	 * Текст сообщения, выводящийся когда значения полей не соответствуют 
	 * заданным типам полей
	 */
	public static $dict_validator_rulescommon_checkType;
	
	/**
	 * Текст сообщения, выводящийся когда для обязательных к заполнению полей 
	 * не указаны значения 
	 */
	public static $dict_validator_rulesdbgrid_required;
	
	/**
	 * Текст сообщения, выводящийся когда значения полей не принадлежат 
	 * промежутку допустимых значений
	 */
	public static $dict_validator_rulesdbgrid_periodMember;
	
	/**
	 * Текст сообщения, выводящийся когда тип введённых значений полей 
	 * не соответствует заданным типам полей грида
	 */
	public static $dict_validator_rulesdbgrid_checkType;
	
	/**
	 * Текст сообщения, выводящийся когда нарушено условие уникальности 
	 * значений полей 
	 */
	public static $dict_validator_rulesdbgrid_unique;
	
	/**
	 * Текст сообщения, выводящийся когда нарушено условие уникальности 
	 * значений комбинаций полей 
	 */
	public static $dict_validator_rulesdbgrid_uniqueLR;
	
	/**
	 * Текст сообщения, выводящийся когда значения полей не соответствуют 
	 * формату e-mail
	 */
	public static $dict_validator_rulesdbgrid_checkEMail;
	
	/**
	 * Текст сообщения, выводящийся когда не пройдена валидация логина
	 */
	public static $dict_validator_rulesdbgrid_checkLogin;
	
	/**
	 * Текст сообщения, выводящийся когда не пройдена валидация пароля
	 */
	public static $dict_validator_rulesdbgrid_checkPassword;
	
	/**
	 * Текст сообщения, выводящийся когда значение поля не соттветствует 
	 * регулярному выражению 
	 */
	public static $dict_validator_rulesdbgrid_match;
	
	/**
	 * Текст перед выводом источника ошибки, при конвертации текста ошибки в
	 * html
	 */
	public static $utils_exceptions_toHtml_exceptionSrc;
	/**
	 * Текст перед выводом стека, при конвертации текста ошибки в html
	 */
	public static $utils_exceptions_toHtml_stackTrace;
	
	/**
	 * Всплывающее сообщение для функциональной кнопоки обновить в заголовке 
	 * грида
	 */
	public static $widgets_dbgrid_tools_qtip__refresh_data;
	/**
	 * Всплывающее сообщение для функциональной кнопоки вставить строку в 
	 * заголовке грида
	 */
	public static $widgets_dbgrid_tools_qtip__append_row;
	/**
	 * Всплывающее сообщение для функциональной кнопоки удалить строку в 
	 * заголовке грида
	 */
	public static $widgets_dbgrid_tools_qtip__delete_row;
	/**
	 * Всплывающее сообщение для функциональной кнопоки сохранить данные в 
	 * заголовке грида
	 */
	public static $widgets_dbgrid_tools_qtip__save_row;		
	
	/**
	 * Сообщение выводится в заголовок грида, когда он находится в режиме
	 * "сохранение множества строк" и кол-во несохраеннех строк > 0
	 * #VTINS - макрос будет заменен на кол-во несохраненных строк
	 * Внимание!!!
	 * Сообщение должно форматироваться как html текст!!!
	 */
	public static $widgets_dbgrid_rows_not_saved;
	
	/**
	 * Сообщение выводится перед удалением строки в гриде.
	 * #VTINS - мкакрос будет заменен на имя грида
	 */
	public static $widgets_dbgrid_delete_before_mess;
	/**
	 * Заголовок сообщение перед удалением строки в гриде.
	 */
	public static $widgets_dbgrid_delete_before_title;
	/**
	 * сообщение выдается в случаях когда не удалось удалить строку
	 */
	public static $widgets_dbgrid_delete_unable;
	
	/**
	 * Сообщение выводится в случае неудачного сохранения строки
	 */
	public static $widgets_dbgrid_save_row_unable;
	/**
	 * Сообщения выводится в случае неудачного сохранения строк
	 */
	public static $widgets_dbgrid_save_rows_unable;
	
	/**
	 * Сообщение выводится в случае неудачного обновления связанных
	 * полей
	 */
	public static $widgets_dbgrid_update__linkFields_unable;
	
	/**
	 * Выводится перед переходом на другую строку, в случае если есть
	 * несохраненные изменения в строке. Грид не должнен находится в
	 * режиме множественного сохранения строк.
	 */
	public static $widgets_dbgrid_select_before__not_saved_data;
	
	/**
	 * Макрос определения заголовка отображения информации о
	 * постраничном режиме.
	 * {0} - начальная отображаемая строка
	 * {1} - конечная отображаемая строка
	 * {2} - общее кол-во строк в гриде
	 */
	public static $widgets_dbgrid_pagingbar_displayMsg;
	/**
	 * Заголовок отображается когда нет данных для отобржения.
	 */
	public static $widgets_dbgrid_pagingbar_emptyMsg;
	
	/**
	 * Заголовок кнопки показать-скрыть итоги в футере
	 */
	public static $widgets_dbgrid_totals_footer_mode_show_hide_button__text;
	/**
	 * Всплыващее сообщение (подсказка) дл кнопки показать-скрыть
	 * итоги в футере
	 */
	public static $widgets_dbgrid_totals_footer_mode_show_hide_button__tooltip;
	
	/**
	 * Заголовок кнопки экспорта 
	 */
	public static $widgets_dbgrid_exportable_mode_export_button__text;
	/**
	 * Всплыващее сообщение (подсказка) для кнопки экспорта
	 */
	public static $widgets_dbgrid_exportable_mode_export_button__tooltip;
	
	/**
	 * Заголовок сообщения при попытке экспорта несохранённых данных
	 */
	public static $widgets_dbgrid_exportable_mode_not_saved_title;
	/**
	 * Текст сообщения при попытке экспорта несохранённых данных
	 */
	public static $widgets_dbgrid_exportable_mode_not_saved_text;
	
	/**
	 * сообщение выдается в случаях когда необходимо выбрать строку, но
	 * строка не была выбрана.
	 */
	public static $widgets_dbgrid__no_row_selected;
	
	/**
	 * Функция читает параметры класса сообщений из ассоциированного массива,
	 * сформированного на базе файла локализации
	 * @param array $cfg
	 */
	public static function readJSON($cfg){
		
		mxl_cfg_messages::$types_error     = $cfg['messages']['types']['error'];
		mxl_cfg_messages::$types_validate  = $cfg['messages']['types']['validate'];
		mxl_cfg_messages::$types_warning   = $cfg['messages']['types']['warning'];
		mxl_cfg_messages::$types_message   = $cfg['messages']['types']['message'];
		mxl_cfg_messages::$types_confirm   = $cfg['messages']['types']['confirm'];
		mxl_cfg_messages::$types_attention = $cfg['messages']['types']['attention'];
		
		mxl_cfg_messages::$htmlpage_beforeunload_grids_notsave__message = 
				$cfg['messages']['htmlpage']['beforeunload_grids_notsave']['message'];
		mxl_cfg_messages::$htmlpage_beforeunload_grids_notsave__one_row_text = 
				$cfg['messages']['htmlpage']['beforeunload_grids_notsave']['one_row_text'];
		mxl_cfg_messages::$htmlpage_beforeunload_grids_notsave__many_rows_text = 
				$cfg['messages']['htmlpage']['beforeunload_grids_notsave']['many_rows_text'];
				
		mxl_cfg_messages::$dict_validator_rulescommon_required =
				$cfg['messages']['dict']['validator']['rulescommon']['required'];
		mxl_cfg_messages::$dict_validator_rulescommon_periodMember =
				$cfg['messages']['dict']['validator']['rulescommon']['periodMember'];
		mxl_cfg_messages::$dict_validator_rulescommon_checkEMail =
				$cfg['messages']['dict']['validator']['rulescommon']['checkEMail'];
		mxl_cfg_messages::$dict_validator_rulescommon_checkLogin =
				$cfg['messages']['dict']['validator']['rulescommon']['checkLogin'];
		mxl_cfg_messages::$dict_validator_rulescommon_checkPassword =
				$cfg['messages']['dict']['validator']['rulescommon']['checkPassword'];
		mxl_cfg_messages::$dict_validator_rulescommon_match =
				$cfg['messages']['dict']['validator']['rulescommon']['match'];
		mxl_cfg_messages::$dict_validator_rulescommon_checkType =
				$cfg['messages']['dict']['validator']['rulescommon']['checkType'];
				
				
		mxl_cfg_messages::$dict_validator_rulesdbgrid_required =
				$cfg['messages']['dict']['validator']['rulesdbgrid']['required'];
		mxl_cfg_messages::$dict_validator_rulesdbgrid_periodMember =
				$cfg['messages']['dict']['validator']['rulesdbgrid']['periodMember'];
		mxl_cfg_messages::$dict_validator_rulesdbgrid_checkType =
				$cfg['messages']['dict']['validator']['rulesdbgrid']['checkType'];
		mxl_cfg_messages::$dict_validator_rulesdbgrid_unique =
				$cfg['messages']['dict']['validator']['rulesdbgrid']['unique'];
		mxl_cfg_messages::$dict_validator_rulesdbgrid_uniqueLR =
				$cfg['messages']['dict']['validator']['rulesdbgrid']['uniqueLR'];
		mxl_cfg_messages::$dict_validator_rulesdbgrid_checkEMail =
				$cfg['messages']['dict']['validator']['rulesdbgrid']['checkEMail'];
		mxl_cfg_messages::$dict_validator_rulesdbgrid_checkLogin =
				$cfg['messages']['dict']['validator']['rulesdbgrid']['checkLogin'];
		mxl_cfg_messages::$dict_validator_rulesdbgrid_checkPassword =
				$cfg['messages']['dict']['validator']['rulesdbgrid']['checkPassword'];
		mxl_cfg_messages::$dict_validator_rulesdbgrid_match =
				$cfg['messages']['dict']['validator']['rulesdbgrid']['match'];		
				
		mxl_cfg_messages::$utils_exceptions_toHtml_exceptionSrc =
				$cfg['messages']['utils']['exceptions']['toHtml']['exceptionSrc'];	
		mxl_cfg_messages::$utils_exceptions_toHtml_stackTrace =
				$cfg['messages']['utils']['exceptions']['toHtml']['stackTrace'];	

		mxl_cfg_messages::$widgets_dbgrid_tools_qtip__refresh_data =
				$cfg['messages']['widgets']['dbgrid']['tools_qtip']['refresh_data'];
		mxl_cfg_messages::$widgets_dbgrid_tools_qtip__append_row =
				$cfg['messages']['widgets']['dbgrid']['tools_qtip']['append_row'];
		mxl_cfg_messages::$widgets_dbgrid_tools_qtip__delete_row =
				$cfg['messages']['widgets']['dbgrid']['tools_qtip']['delete_row'];
		mxl_cfg_messages::$widgets_dbgrid_tools_qtip__save_row =
				$cfg['messages']['widgets']['dbgrid']['tools_qtip']['save_row'];
				
		
		mxl_cfg_messages::$widgets_dbgrid_rows_not_saved =
				$cfg['messages']['widgets']['dbgrid']['rows_not_saved'];
				
		mxl_cfg_messages::$widgets_dbgrid_delete_before_mess =
				$cfg['messages']['widgets']['dbgrid']['delete']['before_mess'];
		mxl_cfg_messages::$widgets_dbgrid_delete_before_title =
				$cfg['messages']['widgets']['dbgrid']['delete']['before_title'];
		mxl_cfg_messages::$widgets_dbgrid_delete_unable =
				$cfg['messages']['widgets']['dbgrid']['delete']['unable'];
				
				
		mxl_cfg_messages::$widgets_dbgrid_save_row_unable =
				$cfg['messages']['widgets']['dbgrid']['save']['row_unable'];
		mxl_cfg_messages::$widgets_dbgrid_save_rows_unable =
				$cfg['messages']['widgets']['dbgrid']['save']['rows_unable'];
				
		
		mxl_cfg_messages::$widgets_dbgrid_update__linkFields_unable = 
				$cfg['messages']['widgets']['dbgrid']['update']['linkFields_unable'];
				
		mxl_cfg_messages::$widgets_dbgrid_select_before__not_saved_data =
				$cfg['messages']['widgets']['dbgrid']['select']['before__not_saved_data'];
				
				
		mxl_cfg_messages::$widgets_dbgrid_pagingbar_displayMsg =
				$cfg['messages']['widgets']['dbgrid']['pagingbar']['displayMsg'];
		mxl_cfg_messages::$widgets_dbgrid_pagingbar_emptyMsg =
				$cfg['messages']['widgets']['dbgrid']['pagingbar']['emptyMsg'];
				
		mxl_cfg_messages::$widgets_dbgrid_totals_footer_mode_show_hide_button__text =
				$cfg['messages']['widgets']['dbgrid']['totals_footer_mode']['show_hide_button__text'];
		mxl_cfg_messages::$widgets_dbgrid_totals_footer_mode_show_hide_button__tooltip =
				$cfg['messages']['widgets']['dbgrid']['totals_footer_mode']['show_hide_button__tooltip'];;
		
		mxl_cfg_messages::$widgets_dbgrid_exportable_mode_export_button__text =
				$cfg['messages']['widgets']['dbgrid']['exportable_mode']['export_button__text'];
		mxl_cfg_messages::$widgets_dbgrid_exportable_mode_export_button__tooltip =
				$cfg['messages']['widgets']['dbgrid']['exportable_mode']['export_button__tooltip'];
		mxl_cfg_messages::$widgets_dbgrid_exportable_mode_not_saved_title =
				$cfg['messages']['widgets']['dbgrid']['exportable_mode']['not_saved__title'];
		mxl_cfg_messages::$widgets_dbgrid_exportable_mode_not_saved_text =
				$cfg['messages']['widgets']['dbgrid']['exportable_mode']['not_saved__text'];
						
		mxl_cfg_messages::$widgets_dbgrid__no_row_selected =
				$cfg['messages']['widgets']['dbgrid']['no_row_selected'];
	}
}
?>