<?php
/**
 * Файл для класса выполнения рендереров, {@link mxl_dict_renderer}.
 * 
 * @package mxl_dict
 * @author merlin <merlin@ersys.ru>
 * @copyright Copyright (c) 2011, ООО НПО Метарекс
 */
/**
 * Класс выполнения рендереров.
 * Содержит статический метод для запуска рендерера.
 * 
 * @package mxl_dict
 * @author merlin <merlin@ersys.ru>
 * @copyright Copyright (c) 2011, ООО НПО Метарекс, {@link http://www.metarex.ru www.metarex.ru}
 */
class mxl_dict_renderer extends mxl_utils_snippet{
	
	/**
	 * Функция расчитывает имя файла сниппета, создает объект для получения
	 * результата работы снипета, вызывает функцию исполнения сниппета,
	 * возвращает полученный результат.
	 * @param string $renderer - тело сниппета (пока только имя) 
	 * @param mxl_core_params $params - динамические параметры, передаются через dParams
	 * @throws Exception {@link mxl_cfg_exceptions::$utils_snippet_executeSnippet}
	 * @return string
	 */
	public static function execute_renderer($renderer, mxl_core_params $params, $row){
		$snippetName = $renderer;
		
		$fileName = mxl_cfg_path::$dict_renderers.mxl_cfg_path::$separator
				.$snippetName.'.'.mxl_cfg_base::$snippet_file_ext;
		if (!mxl_utils_snippet::isSnippetExist($fileName)){
			return $row;
		}
		
		$jsSnip = new mxl_dict_renderer();
		
        $jsSnip->dParams = ((!$params->isEmpty())?$params->getListParams():array());
        $jsSnip->row     = $row;
        $res = $jsSnip->executeSnippetFile($fileName);
        $row = ($res ? $jsSnip->row : $row);
        /*
         $newRow = $row;
         foreach ($row as $field => $value) {
    		
            $jsSnip->dParams  = ((!$params->isEmpty())?$params->getListParams():array());
        	$jsSnip->row      = $row;
            $jsSnip->field    = $field;
            $jsSnip->value    = $value;
            $jsSnip->newValue = $value;
            
            $res = $jsSnip->executeSnippetFile($fileName);
            $newRow[$field] = ($res ? $jsSnip->newValue : $value);
        }*/
		unset($jsSnip);
		
		return ($row);
	}
	
	
	/**
	 * Переменная для передачи исходной строки на проверку
	 * @var array
	 */
	public $row;
}
?>