<?php
/**
 * Файл для класса выполнения сниппетов валидации, {@link mxl_dict_validator_snippet}.
 * 
 * @package mxl_dict_validator
 * @author merlin <merlin@ersys.ru>
 * @copyright Copyright (c) 2009, ООО НПО Метарекс
 */
/**
 * Класс выполнения сниппетов валидации.
 * Содержит статический метод для запуска сниппета валидации.
 * 
 * @package mxl_dict_validator
 * @author merlin <merlin@ersys.ru>
 * @copyright Copyright (c) 2009, ООО НПО Метарекс, {@link http://www.metarex.ru www.metarex.ru}
 */
class mxl_dict_validator_snippet extends mxl_utils_snippet{
	
	/**
	 * Функция расчитывает имя файла сниппета, создает объект для получения
	 * результата работы снипета, вызывает функцию исполнения сниппета,
	 * возвращает полученный результат.
	 * @param string $snippet - тело сниппета (пока только имя) 
	 * @throws Exception {@link mxl_cfg_exceptions::$utils_snippet_executeSnippet}
	 * @return string
	 */
	public static function execute_validate($snippet, mxl_core_params $params,
			$row, $keyValue = -1, $rows = ''){
		$snippetName = $snippet;
		
		$fileName = mxl_cfg_path::$snippet_validate.mxl_cfg_path::$separator
				.$snippetName.'.'.mxl_cfg_base::$snippet_file_ext;
		if (!mxl_utils_snippet::isSnippetExist($fileName)){
			return false;
		}
		
		$jsSnip = new mxl_dict_validator_snippet();
		
		$jsSnip->dParams  = ((!$params->isEmpty())?$params->getListParams():array());
		$jsSnip->row      = $row;
		$jsSnip->rows     = $rows;
		$jsSnip->keyValue = $keyValue;
		
		$snipRes = $jsSnip->executeSnippetFile($fileName);
		
		unset($jsSnip);
		
		return ($snipRes);
	}
	
	
	/**
	 * Переменная для передачи строки на проверку
	 * @var array
	 */
	public $row;
	
	/**
	 * Переменная для передачи массива строк на проверку
	 * @var array
	 */
	public $rows;
	
	/**
	 * Переменная для передачи значения ключевого поля
	 * @var integer
	 */
	public $keyValue;
}
?>