<?php
/**
 * Файл для описания класса переопределения обработчика события, 
 * {@link mxl_widget_eventhandler}.
 * @package mxl_widget
 * @author merlin <merlin@metarex.ru>
 * @copyright Copyright (c) 2010, ООО НПО Метарекс
 */
/**
 * Класс описания переопределения обработчика событий виджета.
 * 
 * @package mxl_widget
 * @author merlin <merlin@metarex.ru>
 * @copyright Copyright (c) 2010, ООО НПО Метарекс, {@link http://www.metarex.ru www.metarex.ru}
 */
class mxl_widget_eventhandler{
	/**
	 * Тип заменяемого обработчика события. Для каждого компонента предусмотрен
	 * свой набор типов обработчиков событий. 
	 * @var string
	 */
	private $type;
	/**
	 * Имя JS функции которая заменит стандартный обработчки события. 
	 * @var string
	 */
	private $functionName;
	
	/**
	 * Конструктор класса
	 * @param string $type - тип обработчика события. Для каждого компонента 
	 * 		предусмотрен свой набор типов обработчиков событий.
	 * @param string $functionName - имя JS функции, которая переопределяет 
	 * 		стандартный обработчик события. 
	 * @return mxl_widget_listener
	 */
	public function __construct($type, $functionName){
		$this->type         = $type;
		$this->functionName = $functionName;
	}
	
	/**
	 * Возвращает тип обработчика события.
	 * @return string
	 */
	public function getType(){
		return $this->type;
	}
	
	/**
	 * Возвращает имя JS функции, которая переопределяет стандартный обработчик
	 * события.
	 * @return string
	 */
	public function getFunctionName(){
		return $this->functionName;
	}
}