<?php
/**
 * Файл конролеер для "Списков" - разбирает запрос сервера и в 
 * зависимости от вида запроса формирует ответ.
 * Обрабатываются запросы на получение данных от сервера для визуальной части.
 * 
 * В запросе обязательно должен присутствоавать параметр listName - 
 * определяющий имя "Списка" для которого необходимо вернуть данные.
 * 
 * 
 * В случае успешного запроса, ответ формируется функцией 
 * {@link mxl_dict_list::getJSON()}.
 * В случае неудачного запроса выводится {failure:true}.
 * 
 * @package mxl_widget
 * @author merlin <merlin@ersys.ru>
 * @copyright Copyright (c) 2010, ООО НПО Метарекс
 */
include_once realpath(dirname(__FILE__).'/../../init.php');
try{
	if (isset(mxl_cfg_url::$controller)){

		$postArr = array('q_controller_type'=>'list');
		foreach ($_POST as $pi => $pv)
			$postArr[$pi] = $pv;
		
		$opts = array('http' =>
    		array(
        		'method'  => 'POST',
        		'header'  => 'Content-type: application/x-www-form-urlencoded',
		        'content' => http_build_query($postArr)
    		)
		);

		$context  = stream_context_create($opts);

		$result = file_get_contents(mxl_cfg_url::$controller, false, $context);	
        echo $result;
	} else {
		$MDS = mxl_core_metadatas::instance();

		$listName = '';
		if (isset($_POST['listName']))
			$listName = $_POST['listName'];
	
		$params = '';
		if (isset($_POST['params'])) {
			$params = $_POST['params'];
		
			$paramsMXL = new mxl_core_params();
			$paramsMXL->loadFromJSON($params);

			$MDS->setCurrParams($paramsMXL);
		}

		$result = false;

		$lst = $MDS->getMetaData(mxl_core_metadatas::$list, $listName);

		if ($lst->getJSON())
			$result = true;

		if (!$result)
    		echo '{failure:true}';
	}
    	
} catch (Exception $e){
	echo '{failure:true, error:'.json_encode(mxl_utils_exceptions::toHtml($e)).'}';
}
?>